Bug 844409 - pam_loginuid denies access inside LXC container
pam_loginuid denies access inside LXC container
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pam (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 10:01 EDT by Giuseppe Ragusa
Modified: 2015-08-04 09:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-04 09:16:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giuseppe Ragusa 2012-07-30 10:01:45 EDT
Description of problem:
Access is denied to LXC container (maybe chroot exhibits similar symptoms) with "cannot make/remove an entry for the specified session".
pam_loginuid already has code to detect custom kernels with no audit compiled in: maybe a custom check could detect containers/chroots?

Version-Release number of selected component (if applicable):
1.1.1-10.el6_2.1

How reproducible:
Set up a (albeit Technology Preview) libvirt-based LXC container (of "/sbin/init" type) and try to log in (locally or through SSH).

Steps to Reproduce:
1.
2.
3.
  
Actual results:
"cannot make/remove an entry for the specified session" and access denied on login.

Expected results:
Login works with no errors.

Additional info:
Commenting out pam_loginuid in PAM configuration is a known workaround.
Comment 2 RHEL Product and Program Management 2012-12-14 03:02:14 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Tomas Mraz 2015-08-04 09:16:43 EDT
Fixed in RHEL-7

Note You need to log in before you can comment on or make changes to this bug.